Bug 69303 - redhat-config-soundcard console crash
redhat-config-soundcard console crash
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-soundcard (Show other bugs)
limbo
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-20 07:28 EDT by Warren Togami
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 09:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-07-20 07:28:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020712

Description of problem:
(Tool polishing)
redhat-config-soundcard crashes when you attempt to run it in a text console
with the following newbie confusing message.

[root@inspiron8000 root]# redhat-config-soundcard
Traceback (most recent call last):
  File "/usr/share/redhat-config-soundcard/redhat-config-soundcard.py", line 24,
in ?
    import soundcard
  File "/usr/share/redhat-config-soundcard/soundcard.py", line 22, in ?
    import gtk
  File
"/usr/src/build/120604-i386/install/usr/lib/python2.2/site-packages/gtk/__init__.py",
line 19, in ?
RuntimeError: could not open display

Would it be possible to automatically fall back to console sndconfig if X is not
available?

Version-Release number of selected component (if applicable):
redhat-config-soundcard-0.9.4

How reproducible:
Always

Steps to Reproduce:
1. Run "redhat-config-soundcard" in a text console without X.	

Actual Results:  
Crash message.

Expected Results:  
Should fall back to sndconfig.
Comment 1 Brent Fox 2002-08-01 09:25:22 EDT
I don't want to kick off another program without telling the user what's
happening.  Instead, I have the program print a message saying that
redhat-config-soundcard requires a currently running X server and suggests
running sndconfig.  Thanks for your report.

Should be fixed in redhat-config-soundcard-0.9.7-1
Comment 2 Jay Turner 2002-08-05 12:58:30 EDT
Fix confirmed with redhat-config-soundcard-0.9.7-1.

Note You need to log in before you can comment on or make changes to this bug.